function printPdf(notes){
	
	// prepare pdf template div
	jQuery('#pdf_template').remove();
	jQuery('body').append('<div id="pdf_template" style="width:1000px;position:absolute;left:100%;top:0;"></div>');
	jQuery.get(html_template_url, function( data ){
		
		if(configurato.tipo_apertura != 'ND') var temp_tipo_apertura = configurato.tipo_apertura; else var temp_tipo_apertura = '';

		// template import
		jQuery("#pdf_template").html( data );
		
		// date string
		var date = new Date();
		var dateString = date.getUTCDate() +"/"+ (date.getUTCMonth()+1) +"/"+ date.getUTCFullYear();

		// template edit
		var pdf_values = {
			'date' : dateString,
			'notes' : notes,
			'apertura' : configurato.apertura,
			'tipo_apertura' : temp_tipo_apertura,
			'attivazione' : configurato.attivazione,
			'cerniere' : configurato.cerniere,
			'peso' : '',
			'altezza' : '',
			'larghezza' : '',
			'profondita' : '',
			'densita' : '',
			'materiale' : configurato.materiale,
			'result1_numero' :  configurato.query_results[0].numero+' x',
			'result1_apertura' : configurato.apertura+' '+temp_tipo_apertura,
			'result1_asta' :  configurato.query_results[0].asta+'mm',
			'result1_newton' :  ' ',
			'result1_partNumber' :  configurato.query_results[0].partNumber+' : ',
			'result2_numero' : '',
			'result2_apertura' : '',
			'result2_asta' : '',
			'result2_newton' : '',
			'result2_partNumber' : '',
			'result3_numero' : '',
			'result3_apertura' : '',
			'result3_asta' : '',
			'result3_newton' : '',
			'result3_partNumber' : '',
			'suggerimento1' : configurato.suggerimento1,
			'suggerimento2' : configurato.suggerimento2,
		};
		
		if(!empty(configurato.dimensioni.peso)) pdf_values['peso'] = output_number(configurato.dimensioni.peso,'peso');
		if(!empty(configurato.dimensioni.altezza)) pdf_values['altezza'] = output_number(configurato.dimensioni.altezza,'lunghezza');
		if(!empty(configurato.dimensioni.larghezza)) pdf_values['larghezza'] = output_number(configurato.dimensioni.larghezza,'lunghezza');
		if(!empty(configurato.dimensioni.profondita)) pdf_values['profondita'] = output_number(configurato.dimensioni.profondita,'lunghezza');
		if(!empty(configurato.dimensioni.densita)) pdf_values['densita'] = output_number(configurato.dimensioni.densita,'densita');
		
		if(!empty(configurato.query_results[0].newton)) pdf_values['result1_newton'] =  configurato.query_results[0].newton+'N';

		if(!empty( configurato.query_results[1])){
			pdf_values['result2_numero'] =  configurato.query_results[1].numero+' x';
			pdf_values['result2_apertura'] = configurato.apertura+' '+temp_tipo_apertura;
			pdf_values['result2_asta'] =  configurato.query_results[1].asta+'mm';
			if(!empty(configurato.query_results[1].newton)) pdf_values['result2_newton'] =  configurato.query_results[1].newton+'N'; else pdf_values['result2_newton'] = ' ';
			pdf_values['result2_partNumber'] =  configurato.query_results[1].partNumber+' : ';
		}

		if(!empty( configurato.query_results[2])){
			pdf_values['result3_numero'] =  configurato.query_results[2].numero+' x';
			pdf_values['result3_apertura'] = configurato.apertura+' '+temp_tipo_apertura;
			pdf_values['result3_asta'] =  configurato.query_results[2].asta+'mm';
			if(!empty(configurato.query_results[2].newton)) pdf_values['result3_newton'] =  configurato.query_results[2].newton+'N'; else pdf_values['result3_newton'] = ' ';
			pdf_values['result3_partNumber'] =  configurato.query_results[2].partNumber+' : ';
		}
		
		for (var k in pdf_values){
		    if(empty(pdf_values[k])){
			    jQuery('#pdf_template').find('#value_'+k).parent('p').remove();
			}else{
				jQuery('#pdf_template').find('#value_'+k).html(translate(pdf_values[k]));
			}
		};
		
		if(!empty(configurato.extra)){
			jQuery('#extra_suggerimenti').remove();
			var extra_txt = '';
			for(var k in configurato.extra.accessorio_struttura){
				extra_txt += '<p>'+k+' : '+configurato.extra.accessorio_struttura[k]+'</p>';
			}
			extra_txt += '<br>';
			for(var k in configurato.extra.accessorio_anta){
				extra_txt += '<p>'+k+' : '+configurato.extra.accessorio_anta[k]+'</p>';
			}
			jQuery('#pdf_template').find('#extra_accessori').html(extra_txt);
		}
		
		if(empty(configurato.extra) && empty(pdf_values['suggerimento1']) && empty(pdf_values['suggerimento2'])){
			jQuery('#extra_suggerimenti').remove();
		    jQuery('#extra_title').remove();
		}
		
		// pdf generation
		
		var pdfdoc = new jsPDF('p','in','a4');
		pdfdoc.addHTML(document.getElementById("pdf_template"), 0, 0, {background:"#ffffff"}, function(){
		    pdfdoc.save("Compact_solution.pdf");
		    jQuery('#pdf_template').remove();
		});
        
	});
	
	// ga trace
	
	ga('send', {
		hitType: 'event',
		eventCategory: 'Generazione PDF',
		eventAction: 'Click',
		eventLabel: escapeHtml(translate(configurato.apertura))+' + '+escapeHtml(translate(configurato.cerniere))+' + '+escapeHtml(translate(configurato.attivazione)),
	});

}
